<?php
 // === Classe Personnel ===
 class Personnel
 {  // -- Déclaration de deux constantes --
   const AGE_MIN = 14 ;      
   const AGE_MAX = 65 ;      
   // -- Les propriétés ou attributs --
   private $_nom   ;
   private $_prenom;
   public  $age    ;
   // -- Constructeur --
   function __construct($n,$p,$a)
   { echo "Initialisation d'une nouvelle personne\n";
     $this->_nom    = $n ;
     $this->_prenom = $p ;
     $this->age     = $a ;
   }
   // -- Destructeur --
   function __destruct()
   { echo "Appel du destructeur\n";   
     unset ($this->_nom);
     unset ($this->_prenom);
     unset ($this->age);
   }  
   // -- Saisie d'une personne --
   public function SaisiePersonne()
   { echo "Entrez un nom    : "   ;
     $this->_nom    = fgets(STDIN);
     echo "Entrez un prénom : "   ;
     $this->_prenom = fgets(STDIN);
     echo "Entrez un âge    : "   ;
     $this->age = fgets(STDIN)   ;
     $this->_nom = strtoupper(trim($this->_nom))      ;
     $this->_prenom = strtoupper(trim($this->_prenom));
     $this->age = intval($this->age)                ;
   }
   // -- Affichage d'une personne --
   public function AffichePersonne()
   { echo "Personne : ";
     echo $this->_nom."\t".$this->_prenom."\t".$this->age;
     echo PHP_EOL ;
   }
 }
 // === corps du programme ===
 $une_personne = new Personnel("dupont","jean",45);
 $une_personne->AffichePersonne();
 unset ($une_personne);
?>
